| GET | /api/cli/install.sh |
| GET | /api/cli/version |
| GET | /api/cli/bin/:file |
TUI installer script
GET/api/cli/install.sh
Authentication: none.
bash
curl -X GET "https://shellius.example.com/api/cli/install.sh"Returns a file or plain text, not the JSON envelope.
TUI binary version
GET/api/cli/version
Authentication: none.
bash
curl -X GET "https://shellius.example.com/api/cli/version"200 OK
json
{ "success": true, "data": { … } }Download TUI binary
GET/api/cli/bin/:file
Authentication: none.
Path parameters
| Name | Type | Notes |
|---|---|---|
file | string |
bash
curl -X GET "https://shellius.example.com/api/cli/bin/{file}"Returns a file or plain text, not the JSON envelope.